Gönderen Konu: libattr1 Paket Güncellemesi Kurulum Sorunu ve Sonrasında Güncelleme Alamama  (Okunma sayısı 1680 defa)

0 Üye ve 1 Ziyaretçi konuyu incelemekte.

Çevrimdışı bluebox

  • Çok Yeni Penguen
  • *
  • İleti: 8
  • Dağıtım: Linux Mint 18 Cinnamon 64-bit
  • Masaüstü: Cinnamon 3.0.7
  • Grafik Kartı: Radeon HD 7560D
  • İşlemci: AMD A8-5600K APU
Merhaba

dün akşam kernel 4.9 a geçmek için
Kod: [Seç]
$ wget kernel.ubuntu.com/~kernel-ppa/mainline/v4.9/linux-headers-4.9.0-040900_4.9.0-040900.201612111631_all.deb
 
Kod: [Seç]
$ wget kernel.ubuntu.com/~kernel-ppa/mainline/v4.9/linux-headers-4.9.0-040900-generic_4.9.0-040900.201612111631_amd64.deb
Kod: [Seç]
$ wget kernel.ubuntu.com/~kernel-ppa/mainline/v4.9/linux-image-4.9.0-040900-generic_4.9.0-040900.201612111631_amd64.deb

Bu üç paketi kurdum son iki pakette bu hatayı aldım 
Alıntı
bad return status for module build on kernel 
forumda daha önce açılan bu https://forum.linuxmint.net.tr/index.php?topic=3849.0 konuyu inceleyip gereken şeyleri uyguladım olmadı yeniden başlattım  upgrade ve dist-upgrade yaparken bu hatayı veriyor birde

Kod: [Seç]
Paket açılacak: .../libattr1_1%3a2.4.47-2_amd64.deb ...
Paket açılıyor: libattr1:amd64 (1:2.4.47-2) üzerine (1:2.4.47-2) ...
dpkg: /var/cache/apt/archives/libattr1_1%3a2.4.47-2_amd64.deb arşivi işlenirken sorun yaşandı (--unpack):
 paylaşılan '/usr/share/doc/libattr1/changelog.Debian.gz' dosyasının üzerine yazılmaya çalışılıyor, dosya libattr1:amd64 paketinin diğer örneklerinden farklı
Paket açılacak: .../libattr1_1%3a2.4.47-2_i386.deb ...
Paket açılıyor: libattr1:i386 (1:2.4.47-2) üzerine (1:2.4.47-2) ...
dpkg: /var/cache/apt/archives/libattr1_1%3a2.4.47-2_i386.deb arşivi işlenirken sorun yaşandı (--unpack):
 paylaşılan '/usr/share/doc/libattr1/changelog.Debian.gz' dosyasının üzerine yazılmaya çalışılıyor, dosya libattr1:i386 paketinin diğer örneklerinden farklı
İşleme sırasında hatalarla karşılaşıldı:
 /var/cache/apt/archives/libattr1_1%3a2.4.47-2_amd64.deb
 /var/cache/apt/archives/libattr1_1%3a2.4.47-2_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

çekirdek değişti ama...
Kod: [Seç]
uname -a
Linux rog 4.9.0-040900-generic #201612111631 SMP Sun Dec 11 21:33:00 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

Çevrimdışı Butterfly

  • Proje Sorumlusu
  • *****
  • İleti: 16269
  • Linux Mint Türkiye
  • Dağıtım: Linux Mint 19.1 & LMDE 3
  • Masaüstü: Cinnamon 4.0 & Mate 1.20
Sorunun çekirdek güncellemesi ile alakası görünmüyor, libattr1 paketinin güncellemesi sırasında kurulum sorunu yaşanmış.

Aşağıdaki komutla sorun yaşanmasına sebep olan dosyanın ismini değiştirmeyi deneyebilirsiniz.

Kod: [Seç]
sudo mv /usr/share/doc/libattr1/changelog.Debian.gz /usr/share/doc/libattr1/changelog.Debian.gz.YEDEK
Ardından aşağıdaki komutla kurulum sorununu onarmayı deneyiniz.

Kod: [Seç]
sudo apt-get install -f
Elimizden geldiğince dilimizin döndüğünce...


Çevrimdışı bluebox

  • Çok Yeni Penguen
  • *
  • İleti: 8
  • Dağıtım: Linux Mint 18 Cinnamon 64-bit
  • Masaüstü: Cinnamon 3.0.7
  • Grafik Kartı: Radeon HD 7560D
  • İşlemci: AMD A8-5600K APU
Sorunun çekirdek güncellemesi ile alakası görünmüyor, libattr1 paketinin güncellemesi sırasında kurulum sorunu yaşanmış.

Aşağıdaki komutla sorun yaşanmasına sebep olan dosyanın ismini değiştirmeyi deneyebilirsiniz.

Kod: [Seç]
sudo mv /usr/share/doc/libattr1/changelog.Debian.gz /usr/share/doc/libattr1/changelog.Debian.gz.YEDEK
Ardından aşağıdaki komutla kurulum sorununu onarmayı deneyiniz.

Kod: [Seç]
sudo apt-get install -f


denedim upgrade yaparken

Kod: [Seç]
dpkg: /var/cache/apt/archives/libxau6_1%3a1.0.8-1_amd64.deb arşivi işlenirken sorun yaşandı (--unpack):
 paylaşılan '/usr/share/doc/libxau6/changelog.Debian.gz' dosyasının üzerine yazılmaya çalışılıyor, dosya libxau6:amd64 paketinin diğer örneklerinden farklı
Paket açılacak: .../libxau6_1%3a1.0.8-1_i386.deb ...
Paket açılıyor: libxau6:i386 (1:1.0.8-1) üzerine (1:1.0.8-1) ...
dpkg: /var/cache/apt/archives/libxau6_1%3a1.0.8-1_i386.deb arşivi işlenirken sorun yaşandı (--unpack):
 paylaşılan '/usr/share/doc/libxau6/changelog.Debian.gz' dosyasının üzerine yazılmaya çalışılıyor, dosya libxau6:i386 paketinin diğer örneklerinden farklı
İşleme sırasında hatalarla karşılaşıldı:
 /var/cache/apt/archives/libxau6_1%3a1.0.8-1_amd64.deb
 /var/cache/apt/archives/libxau6_1%3a1.0.8-1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

sorunun yaşandığı dizine gittim orda dosya isimlerinde bi tuhaflık var


Çevrimdışı Genizcil_N

  • Forum Yöneticisi
  • *****
  • İleti: 1973
  • Dağıtım: Linux Mint 19.1
  • Masaüstü: Mate
Kod: [Seç]
sudo apt-get autoclean
sudo apt-get clean
sudo apt-get install -f
komutlarından sonra kurulum sorunu çözülüyor mu?

Çevrimdışı bluebox

  • Çok Yeni Penguen
  • *
  • İleti: 8
  • Dağıtım: Linux Mint 18 Cinnamon 64-bit
  • Masaüstü: Cinnamon 3.0.7
  • Grafik Kartı: Radeon HD 7560D
  • İşlemci: AMD A8-5600K APU
Kod: [Seç]
sudo apt-get autoclean
sudo apt-get clean
sudo apt-get install -f
komutlarından sonra kurulum sorunu çözülüyor mu?

hayır çözülmedi.

Çevrimdışı Butterfly

  • Proje Sorumlusu
  • *****
  • İleti: 16269
  • Linux Mint Türkiye
  • Dağıtım: Linux Mint 19.1 & LMDE 3
  • Masaüstü: Cinnamon 4.0 & Mate 1.20
Aşağıdaki komutla paketlerin yeniden kurulumunu deneyebilirsiniz.

Kod: [Seç]
sudo apt-get install --reinstall libxau6 libxau6:i386
Elimizden geldiğince dilimizin döndüğünce...


Çevrimdışı bluebox

  • Çok Yeni Penguen
  • *
  • İleti: 8
  • Dağıtım: Linux Mint 18 Cinnamon 64-bit
  • Masaüstü: Cinnamon 3.0.7
  • Grafik Kartı: Radeon HD 7560D
  • İşlemci: AMD A8-5600K APU
Aşağıdaki komutla paketlerin yeniden kurulumunu deneyebilirsiniz.

Kod: [Seç]
sudo apt-get install --reinstall libxau6 libxau6:i386

Kod: [Seç]
rog@rog ~ $ sudo apt-get install --reinstall libxau6 libxau6:i386
[sudo] password for rog:
Paket listeleri okunuyor... Bitti
Bağımlılık ağacı oluşturuluyor       
Durum bilgisi okunuyor... Bitti     
Aşağıdaki paketler yükseltilecek:
  libxau6 libxau6:i386
2 paket yükseltilecek, 0 yeni paket kurulacak, 0 paket kaldırılacak ve 249 paket yükseltilmeyecek.
0 B/41,7 kB arşiv dosyası indirilecek.
Bu işlem tamamlandıktan sonra 21,5 kB ek disk alanı kullanılacak.
(Veritabanı okunuyor ... 240820 dosya veya dizin kurulu durumda.)
Paket açılacak: .../libxau6_1%3a1.0.8-1_amd64.deb ...
Paket açılıyor: libxau6:amd64 (1:1.0.8-1) üzerine (1:1.0.8-1) ...
dpkg: /var/cache/apt/archives/libxau6_1%3a1.0.8-1_amd64.deb arşivi işlenirken sorun yaşandı (--unpack):
 paylaşılan '/usr/share/doc/libxau6/changelog.Debian.gz' dosyasının üzerine yazılmaya çalışılıyor, dosya libxau6:amd64 paketinin diğer örneklerinden farklı
Paket açılacak: .../libxau6_1%3a1.0.8-1_i386.deb ...
Paket açılıyor: libxau6:i386 (1:1.0.8-1) üzerine (1:1.0.8-1) ...
dpkg: /var/cache/apt/archives/libxau6_1%3a1.0.8-1_i386.deb arşivi işlenirken sorun yaşandı (--unpack):
 paylaşılan '/usr/share/doc/libxau6/changelog.Debian.gz' dosyasının üzerine yazılmaya çalışılıyor, dosya libxau6:i386 paketinin diğer örneklerinden farklı
İşleme sırasında hatalarla karşılaşıldı:
 /var/cache/apt/archives/libxau6_1%3a1.0.8-1_amd64.deb
 /var/cache/apt/archives/libxau6_1%3a1.0.8-1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
rog@rog ~ $

Çevrimdışı Butterfly

  • Proje Sorumlusu
  • *****
  • İleti: 16269
  • Linux Mint Türkiye
  • Dağıtım: Linux Mint 19.1 & LMDE 3
  • Masaüstü: Cinnamon 4.0 & Mate 1.20
Sistemi kurtarma kipi ile başlatıp, fsck seçeneği ile dosya sistemini taratmayı deneyiniz.
Elimizden geldiğince dilimizin döndüğünce...


Çevrimdışı bluebox

  • Çok Yeni Penguen
  • *
  • İleti: 8
  • Dağıtım: Linux Mint 18 Cinnamon 64-bit
  • Masaüstü: Cinnamon 3.0.7
  • Grafik Kartı: Radeon HD 7560D
  • İşlemci: AMD A8-5600K APU
Sistemi kurtarma kipi ile başlatıp, fsck seçeneği ile dosya sistemini taratmayı deneyiniz.
Burda böyle kalıyor Enter A basıp yeni den başlattım değişmedi.


Mesajlar Birleştirildi.
Sorunlu olan dosyaları kaldırıp yeniden kursak?
« Son Düzenleme: 25 Aralık 2016, 23:06:24 Gönderen: bluebox »

Çevrimdışı Butterfly

  • Proje Sorumlusu
  • *****
  • İleti: 16269
  • Linux Mint Türkiye
  • Dağıtım: Linux Mint 19.1 & LMDE 3
  • Masaüstü: Cinnamon 4.0 & Mate 1.20
Aşağıdaki komutların çıktılarına bakalım.

Kod: [Seç]
sudo LC_ALL=C dpkg --configure -a
sudo LC_ALL=C install -f
Elimizden geldiğince dilimizin döndüğünce...


Çevrimdışı bluebox

  • Çok Yeni Penguen
  • *
  • İleti: 8
  • Dağıtım: Linux Mint 18 Cinnamon 64-bit
  • Masaüstü: Cinnamon 3.0.7
  • Grafik Kartı: Radeon HD 7560D
  • İşlemci: AMD A8-5600K APU
Aşağıdaki komutların çıktılarına bakalım.

Kod: [Seç]
sudo LC_ALL=C dpkg --configure -a
sudo LC_ALL=C install -f

Kod: [Seç]
rog@rog ~ $ sudo LC_ALL=C dpkg --configure -a
rog@rog ~ $ sudo LC_ALL=C install -f
install: invalid option -- 'f'
Try 'install --help' for more information.

Çevrimdışı Butterfly

  • Proje Sorumlusu
  • *****
  • İleti: 16269
  • Linux Mint Türkiye
  • Dağıtım: Linux Mint 19.1 & LMDE 3
  • Masaüstü: Cinnamon 4.0 & Mate 1.20
Aşağıdaki komut olacaktı doğrusu, bunun çıktısına bakalım.

Kod: [Seç]
sudo LC_ALL=C apt-get install -f
Elimizden geldiğince dilimizin döndüğünce...


Çevrimdışı bluebox

  • Çok Yeni Penguen
  • *
  • İleti: 8
  • Dağıtım: Linux Mint 18 Cinnamon 64-bit
  • Masaüstü: Cinnamon 3.0.7
  • Grafik Kartı: Radeon HD 7560D
  • İşlemci: AMD A8-5600K APU
Aşağıdaki komut olacaktı doğrusu, bunun çıktısına bakalım.

Kod: [Seç]
sudo LC_ALL=C apt-get install -f
Kod: [Seç]
sudo LC_ALL=C apt-get install -f
[sudo] password for rog:
Reading package lists... Done
Building dependency tree       
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 251 not upgraded.

Çevrimdışı Butterfly

  • Proje Sorumlusu
  • *****
  • İleti: 16269
  • Linux Mint Türkiye
  • Dağıtım: Linux Mint 19.1 & LMDE 3
  • Masaüstü: Cinnamon 4.0 & Mate 1.20
Şu an sorun çözülmüş görünüyor.
Elimizden geldiğince dilimizin döndüğünce...


Çevrimdışı bluebox

  • Çok Yeni Penguen
  • *
  • İleti: 8
  • Dağıtım: Linux Mint 18 Cinnamon 64-bit
  • Masaüstü: Cinnamon 3.0.7
  • Grafik Kartı: Radeon HD 7560D
  • İşlemci: AMD A8-5600K APU
Şu an sorun çözülmüş görünüyor.
Kod: [Seç]
sudo apt-get update
Kod: [Seç]
sudo apt-get update
İndir: 1 http://security.ubuntu.com/ubuntu xenial-security InRelease [102 kB]
Aynı:  2 http://archive.ubuntu.com/ubuntu xenial InRelease                                                                                                               
Aynı:  3 http://archive.canonical.com/ubuntu xenial InRelease                                                                                                           
Aynı:  4 http://ppa.launchpad.net/webupd8team/y-ppa-manager/ubuntu xenial InRelease                                                                                     
İndir: 5 http://archive.ubuntu.com/ubuntu xenial-updates InRelease [102 kB]                                                                                             
Yoksay:6 http://packages.linuxmint.com sarah InRelease                                                                                           
Aynı:  7 http://old.kali.org/kali sana InRelease                                                                                                 
Aynı:  8 https://deb.opera.com/opera-stable stable InRelease                                                           
Aynı:  9 http://packages.linuxmint.com sarah Release                                                                   
İndir: 10 http://archive.ubuntu.com/ubuntu xenial-backports InRelease [102 kB]
1 sn.'de 306 kB alındı (157 kB/s)                           
Paket listeleri okunuyor... Bitti

Kod: [Seç]
sudo apt-get upgrade
Kod: [Seç]
sudo apt-get upgrade
Paket listeleri okunuyor... Bitti
Bağımlılık ağacı oluşturuluyor       
Durum bilgisi okunuyor... Bitti     
Yükseltme hesaplanıyor... Bitti
Aşağıdaki paketlerin mevcut durumları korunacak:
  acpi-support gir1.2-gnomekeyring-1.0 gir1.2-packagekitglib-1.0 gnome-panel gnome-panel-data gstreamer0.10-plugins-good libapt-pkg-perl libgnome-keyring0
  liblcms2-utils libnet-libidn-perl libqtwebkit4 libqtwebkit4:i386 libsdl-image1.2 libsdl-image1.2:i386 libsemanage1 libsocket6-perl libtext-charwidth-perl
  libtext-iconv-perl lp-solve mintsystem mintupdate mintupload nvidia-prime-applet pix pix-data printer-driver-pxljr streamer vino xawtv-plugins
  xserver-xorg-video-fbdev xviewer
Aşağıdaki paketler yükseltilecek:
  alsa-base anacron attr chromium-codecs-ffmpeg-extra cli-common console-setup console-setup-linux cpufrequtils crda cups-pk-helper dmraid dvd+rw-tools ed eject firefox
  firefox-locale-en firefox-locale-tr fonts-freefont-ttf fonts-kacst-one fonts-liberation fonts-lohit-beng-assamese fonts-lohit-deva fonts-lohit-orya fonts-lohit-taml
  fonts-lohit-telu fonts-pagul fonts-samyak-deva fonts-samyak-gujr fonts-samyak-mlym fonts-samyak-taml fonts-wqy-microhei gir1.2-gst-plugins-base-0.10
  gnome-icon-theme-symbolic growisofs gstreamer0.10-alsa gstreamer0.10-gconf gstreamer0.10-gnomevfs gstreamer0.10-plugins-base gstreamer0.10-plugins-base:i386
  gstreamer0.10-plugins-base-apps gstreamer0.10-pulseaudio gstreamer0.10-x gstreamer0.10-x:i386 hddtemp hfsprogs hwdata iputils-arping iputils-ping iputils-tracepath
  isc-dhcp-client isc-dhcp-common iw jfsutils kbd keyboard-configuration libart-2.0-2 libatasmart4 libatm1 libaudiofile1:i386 libauthen-sasl-perl libavcodec-extra
  libavfilter-ffmpeg5 libavresample-ffmpeg2 libcapi20-3:i386 libcdparanoia0 libcdparanoia0:i386 libcpufreq0 libcrypt-passwdmd5-perl libdigest-hmac-perl
  libdirectfb-1.2-9 libdmraid1.0.0.rc16 libdmx1 libdotconf0 libesd0:i386 libevent-2.0-5 libexif12 libexif12:i386 libfile-listing-perl libgdbm3 libgdbm3:i386 libgle3
  libgmime-2.6-0 libgmime2.6-cil libgnomecanvas2-0 libgnomecanvas2-common libgpm2 libgpm2:i386 libgsm1 libgstreamer-plugins-base0.10-0
  libgstreamer-plugins-base0.10-0:i386 libhtml-form-perl libhttp-cookies-perl libhttp-daemon-perl libhttp-negotiate-perl libice-dev libice6 libice6:i386 libiec61883-0
  libiec61883-0:i386 libieee1284-3 libio-html-perl libio-string-perl libjbig0 libjbig0:i386 liblqr-1-0 liblzo2-2 libmhash2 libmpeg2-4 libmspack0 libnet-ip-perl
  libnfnetlink0 libopencore-amrnb0 libopencore-amrwb0 libpam-ck-connector libpopt0 libpostproc-ffmpeg53 libquvi7 libraptor2-0 librarian0 librasqal3 librdf0 librsync1
  libsdl-mixer1.2:i386 libsdl-net1.2:i386 libsdl-ttf2.0-0:i386 libshout3 libsigsegv2 libsm-dev libsm6 libsm6:i386 libsmbclient libsox-fmt-alsa libsox-fmt-base libsox2
  libswscale-ffmpeg3 libtimedate-perl libtxc-dxtn-s2tc0 libtxc-dxtn-s2tc0:i386 libunistring0 libunistring0:i386 libunshield0 libvcdinfo0 libvo-aacenc0 libwbclient0
  libwrap0 libwww-robotrules-perl libx86-1 libxau-dev libxau6 libxau6:i386 libxcb-render-util0 libxcomposite1 libxcomposite1:i386 libxcursor1 libxcursor1:i386
  libxdamage1 libxdamage1:i386 libxext-dev libxext6 libxext6:i386 libxfixes3 libxfixes3:i386 libxfont1 libxft-dev libxft2 libxft2:i386 libxinerama1 libxinerama1:i386
  libxml-twig-perl libxml-xpathengine-perl libxpm4 libxpm4:i386 libxres1 libxss1 libxss1:i386 libxtst6 libxtst6:i386 libxv1 libxv1:i386 libxxf86dga1 libyajl2
  libyaml-0-2 linux-firmware linux-libc-dev lockfile-progs media-player-info mint-upgrade-info mobile-broadband-provider-info mscompress net-tools opera-stable patch
  printer-driver-c2esp printer-driver-min12xxw python-beautifulsoup python-gconf python-gnomekeyring python-gobject-2 python-notify python-samba python-xdg python3-xdg
  rarian-compat rdate samba-common samba-common-bin samba-libs smbclient sox system-tools-backends tcpd toshset unshield vbetool wmctrl x11proto-input-dev
  x11proto-xext-dev xaw3dg:i386 xorg-sgml-doctools xz-utils
220 paket yükseltilecek, 0 yeni paket kurulacak, 0 paket kaldırılacak ve 31 paket yükseltilmeyecek.
0 B/176 MB arşiv dosyası indirilecek.
Bu işlem tamamlandıktan sonra 10,2 MB ek disk alanı kullanılacak.
Devam etmek istiyor musunuz? [E/h] e
Paketlerdeki ileti şablonları çıkarılıyor: 100%
Paketler önyapılandırılıyor ...
(Veritabanı okunuyor ... 240853 dosya veya dizin kurulu durumda.)
Paket açılacak: .../libxau6_1%3a1.0.8-1_amd64.deb ...
Paket açılıyor: libxau6:amd64 (1:1.0.8-1) üzerine (1:1.0.8-1) ...
dpkg: /var/cache/apt/archives/libxau6_1%3a1.0.8-1_amd64.deb arşivi işlenirken sorun yaşandı (--unpack):
 paylaşılan '/usr/share/doc/libxau6/changelog.Debian.gz' dosyasının üzerine yazılmaya çalışılıyor, dosya libxau6:amd64 paketinin diğer örneklerinden farklı
Paket açılacak: .../libxau6_1%3a1.0.8-1_i386.deb ...
Paket açılıyor: libxau6:i386 (1:1.0.8-1) üzerine (1:1.0.8-1) ...
dpkg: /var/cache/apt/archives/libxau6_1%3a1.0.8-1_i386.deb arşivi işlenirken sorun yaşandı (--unpack):
 paylaşılan '/usr/share/doc/libxau6/changelog.Debian.gz' dosyasının üzerine yazılmaya çalışılıyor, dosya libxau6:i386 paketinin diğer örneklerinden farklı
İşleme sırasında hatalarla karşılaşıldı:
 /var/cache/apt/archives/libxau6_1%3a1.0.8-1_amd64.deb
 /var/cache/apt/archives/libxau6_1%3a1.0.8-1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
« Son Düzenleme: 26 Aralık 2016, 00:14:47 Gönderen: bluebox »